;------- TASM ASM mnemonics. -------
; Compile this file using:
; Set TASMOPTS = -b
; tasm -80 ThisCode.tas MyBinary.BIN
;-----------------------------------
; Zx81 Program name: VB81 XuR [USINE2_[ZX81 BASIC TEXT CODES].txt] : SAVE"USINE" Line 9900
; REM   line   name: D=16514/18535 : H=4082/4867

#define ORG  .org       ; TASM cross-assembler definitions
#define equ  .equ
;-----------------------------------

;------------------------------------
;-Basic sub-routine entry.          -
;+----------------------------------+
;+----------------------------------+

;------- Rom and Ram Symbols -------
RAM_D_FILE equ $400C
RAM_SPARE1 equ $4021
RAM_FRAMES equ $4034
RAM_SPARE2 equ $407B


ORG $4082 ; [@16514/@h4082]
.db $00,$00; DATA
Lb4084:
	LD A,$01 
	CP $01 ; [1]
	JR Z, Lb409E ; [$409E:16542]
	CP $02 ; [2]
	JP Z,$295C ; [10588]
	LD A,$00 
	LD (Lb436F+1),A 
	LD A,$04 
	LD (Lb4408),A 
	LD A,$00 
	LD (Lb440B),A 
Lb409E:
	LD A,$00 
	LD (Lb440E),A 
	LD A,$01 
	LD (Lb440F),A 
	LD (Lb4410),A 
	LD A,$3C 
	LD (Lb4411),A 
	LD HL, Lb441C 
	LD B,$0C 
Lb40B5:
	LD (HL),$00 
	INC HL 
	DJNZ Lb40B5 ; [$40B5:16565]
	LD A,$00 
	LD (Lb43B4+1),A 
	CALL Lb40C4 ; [16580]
	JR Lb40EC ; [$40EC:16620]
Lb40C4:
	LD HL, Lb4084 
	LD DE,(RAM_D_FILE) ; GET D-FILE
	LD BC,$FFFF 
Lb40CE:
	LD A,$EA 
	CPIR 
	LD A,(HL) 
	CP $0D ; [13-"$"]
	JR NZ, Lb40CE ; [$40CE:16590]
	INC HL 
	LD (Lb4412),HL 
	LD BC,$02B5 
Lb40DE:
	LD A,(HL) 
	CP $0C ; [12-""]
	JR Z, Lb40E4 ; [$40E4:16612]
	LD (DE),A 
Lb40E4:
	INC HL 
	INC DE 
	DEC BC 
	LD A,B 
	OR C 
	JR NZ, Lb40DE ; [$40DE:16606]
	RET ; ==========================

Lb40EC:
	CALL Lb40F5 ; [16629]
	CALL Lb4112 ; [16658]
	JP Lb4192 ; [16786]
Lb40F5:
	LD A,(Lb440F) 
	LD HL, Lb44C2 
Lb40FB:
	LD (Lb4170+1),HL 
	LD HL, Lb44F8 
	LD (Lb4154+1),HL 
Lb4104:
	LD HL,$0000 
	LD (Lb4189+1),HL 
	CALL Lb414B ; [16715]
	CALL Lb4161 ; [16737]
	JR Lb4178 ; [$4178:16760]
Lb4112:
	LD A,(Lb4410) 
	LD HL, Lb44FE 
Lb4118:
	LD (Lb4170+1),HL 
	LD HL, Lb4534 
	LD (Lb4154+1),HL 
	JR Lb4104 ; [$4104:16644]
Lb4123:
	LD A,(Lb440F) 
	LD HL, Lb44F8 
	LD (Lb4154+1),HL 
Lb412C:
	LD HL,$001E 
	LD (Lb4189+1),HL 
	CALL Lb414B ; [16715]
	PUSH HL 
	LD HL,(Lb4412) 
	ADD HL,BC 
	POP DE 
	EX DE,HL 
	JP Lb4178 ; [16760]
Lb413F:
	LD A,(Lb4410) 
	LD HL, Lb4534 
	LD (Lb4154+1),HL 
	JP Lb412C ; [16684]
Lb414B:
	LD E,A 
	LD B,$00 
	LD C,$02 
	SLA A 
	SUB C 
	LD C,A 
Lb4154:
	LD HL, Lb4534 
	ADD HL,BC 
	LD C,(HL) 
	INC HL 
	LD B,(HL) 
	LD HL,(RAM_D_FILE) ; GET D-FILE
	ADD HL,BC 
	LD A,E 
	RET ; ==========================

Lb4161:
	PUSH HL 
	LD D,$00 
	LD E,A 
	SLA A 
	SLA A 
	SLA A 
	ADD A,E 
	LD E,$09 
	SUB E 
	LD E,A 
Lb4170:
	LD HL, Lb44FE 
	ADD HL,DE 
	PUSH HL 
	POP DE 
	POP HL 
	RET ; ==========================

Lb4178:
	LD B,$03 
Lb417A:
	LD C,$03 
Lb417C:
	LD A,(DE) 
	LD (HL),A 
	INC HL 
	INC DE 
	DEC C 
	JR NZ, Lb417C ; [$417C:16764]
	PUSH DE 
	LD DE,$001E 
	ADD HL,DE 
	EX (SP),HL 
Lb4189:
	LD DE,$0000 
	ADD HL,DE 
	POP DE 
	EX DE,HL 
	DJNZ Lb417A ; [$417A:16762]
	RET ; ==========================

Lb4192:
	LD C,$FE 
	LD B,$FB 
	IN A,(c) 
	AND $01 
	CALL Z, Lb41C3 ; [16835]
	LD B,$FD 
	IN A,(c) 
	AND $01 
	CALL Z, Lb41D6 ; [16854]
	LD B,$DF 
	IN A,(c) 
	AND $01 
	CALL Z, Lb41E1 ; [16865]
	LD B,$BF 
	IN A,(c) 
	AND $02 
	CALL Z, Lb41F4 ; [16884]
	LD B,$BF 
	IN A,(c) 
	AND $08 
	JP Z, Lb43FC ; [17404]
	JR Lb41FF ; [$41FF:16895]
Lb41C3:
	CALL Lb4123 ; [16675]
	LD A,(Lb440F) 
	INC A 
	CP $04 ; [4]
Lb41CC:
	JP Z, Lb41D2 ; [16850]
	LD (Lb440F),A 
Lb41D2:
	CALL Lb40F5 ; [16629]
	RET ; ==========================

Lb41D6:
	CALL Lb4123 ; [16675]
	LD A,(Lb440F) 
	DEC A 
	CP $00 ; [0]
	JR Lb41CC ; [$41CC:16844]
Lb41E1:
	CALL Lb413F ; [16703]
	LD A,(Lb4410) 
	INC A 
	CP $04 ; [4]
Lb41EA:
	JP Z, Lb41F0 ; [16880]
	LD (Lb4410),A 
Lb41F0:
	CALL Lb4112 ; [16658]
	RET ; ==========================

Lb41F4:
	CALL Lb413F ; [16703]
	LD A,(Lb4410) 
	DEC A 
	CP $00 ; [0]
	JR Lb41EA ; [$41EA:16874]
Lb41FF:
	LD A,(Lb440B) 
	CP $01 ; [1]
	JP NZ, Lb42B3 ; [17075]
	LD A,(Lb4408) 
	LD C,A 
	LD B,$00 
Lb420D:
	LD HL, Lb441B 
	ADD HL,BC 
	LD A,(HL) 
	LD (Lb4414),BC 
	CP $33 ; [51-"N"]
	JP Z, Lb4299 ; [17049]
	CP $34 ; [52-"O"]
	JP Z, Lb42A4 ; [17060]
Lb4220:
	CP $00 ; [0]
	JR Z, Lb4274 ; [$4274:17012]
Lb4224:
	LD HL, Lb4416 
	LD B,$06 
Lb4229:
	LD C,(HL) 
	CP C 
	JP Z, Lb43F4 ; [17396]
	INC HL 
	DJNZ Lb4229 ; [$4229:16937]
	CALL Lb4237 ; [16951]
	JP Lb426A ; [17002]
Lb4237:
	LD HL, Lb4429 
	LD (Lb4154+1),HL 
	CALL Lb414B ; [16715]
	LD (RAM_SPARE1),A ; SET UNUSED-8
	PUSH HL 
	LD HL,(Lb4412) 
	ADD HL,BC 
	POP DE 
	LD A,(HL) 
	LD (DE),A 
	LD A,(RAM_SPARE1) ; GET UNUSED-8
	INC A 
	LD HL, Lb441B 
	LD BC,(Lb4414) 
	ADD HL,BC 
	LD (HL),A 
	CALL Lb414B ; [16715]
	PUSH HL 
	LD HL, Lb448E+1 
	LD A,(RAM_SPARE1) ; GET UNUSED-8
	LD C,A 
	LD B,$00 
	ADD HL,BC 
	LD A,(HL) 
	POP HL 
	LD (HL),A 
	RET ; ==========================

Lb426A:
	LD BC,(Lb4414) 
	DEC C 
	JR NZ, Lb420D ; [$420D:16909]
	JP Lb42B3 ; [17075]
Lb4274:
	LD A,(Lb4408) 
	LD B,A 
	LD HL, Lb441C 
Lb427B:
	LD A,(HL) 
	CP $01 ; [1]
	JR Z, Lb426A ; [$426A:17002]
	CP $02 ; [2]
	JR Z, Lb426A ; [$426A:17002]
	INC HL 
	DJNZ Lb427B ; [$427B:17019]
	LD A,(RAM_FRAMES) ; GET FRAMES
	LD L,A 
	LD H,$00 
	LD A,(HL) 
	AND $03 
	CP $02 ; [2]
	JR NZ, Lb426A ; [$426A:17002]
	LD A,$00 
	JP Lb4224 ; [16932]
Lb4299:
	LD HL,(RAM_D_FILE) ; GET D-FILE
	LD DE,$0172 
	ADD HL,DE 
	INC (HL) 
	JP Lb4220 ; [16928]
Lb42A4:
	LD HL, Lb441B 
	LD BC,(Lb4414) 
	ADD HL,BC 
	LD (HL),$00 
	LD A,$00 
	JP Lb4220 ; [16928]
Lb42B3:
	LD A,$00 
	LD (Lb42E4+1),A 
	LD A,(Lb4408) 
	LD C,A 
	LD B,$00 
Lb42BE:
	LD HL, Lb441B 
	ADD HL,BC 
	LD (RAM_SPARE2),HL ; SET UNUSED-16
	LD (Lb4414),BC 
	LD A,(HL) 
	LD B,$03 
	LD HL, Lb4416 
Lb42CF:
	LD E,(HL) 
	CP E 
	CALL Z, Lb42ED ; [17133]
	INC HL 
	LD E,(HL) 
	CP E 
	CALL Z, Lb4302 ; [17154]
	INC HL 
	DJNZ Lb42CF ; [$42CF:17103]
	LD BC,(Lb4414) 
	DEC C 
	JR NZ, Lb42BE ; [$42BE:17086]
Lb42E4:
	LD A,$00 
	CP $01 ; [1]
	JR Z, Lb4341 ; [$4341:17217]
	JP Lb436F ; [17263]
Lb42ED:
	PUSH HL 
	LD HL, Lb440F 
	LD (Lb4319+1),HL 
	LD HL, Lb44DD 
	LD (Lb4320+1),HL 
	LD HL, Lb40FB 
	LD (Lb4323+1),HL 
	JR Lb4317 ; [$4317:17175]
Lb4302:
	PUSH HL 
	LD HL, Lb4410 
	LD (Lb4319+1),HL 
	LD HL, Lb4519 
	LD (Lb4320+1),HL 
	LD HL, Lb4118 
	LD (Lb4323+1),HL 
	JR Lb4317 ; [$4317:17175]
Lb4317:
	PUSH AF 
	PUSH BC 
Lb4319:
	LD A,(Lb4410) 
	CP B 
	JP NZ, Lb4352 ; [17234]
Lb4320:
	LD HL, Lb4519 
Lb4323:
	CALL Lb4118 ; [16664]
	LD HL,(RAM_SPARE2) ; GET UNUSED-16
	LD A,(HL) 
	CALL Lb4237 ; [16951]
	POP BC 
	POP AF 
	POP HL 
	LD A,$01 
	LD (Lb42E4+1),A 
	CALL Lb4356 ; [17238]
	LD A,$0C 
	LD B,H 
	CP $01 ; [1]
	CALL Z, Lb4356 ; [17238]
	RET ; ==========================

Lb4341:
	CALL Lb43C3 ; [17347]
	CALL Lb40F5 ; [16629]
	CALL Lb4112 ; [16658]
	LD A,$01 
	LD (Lb43B4+1),A 
	JP Lb436F ; [17263]
Lb4352:
	POP BC 
	POP AF 
	POP HL 
	RET ; ==========================

Lb4356:
	LD B,$03 
	LD HL,(RAM_D_FILE) ; GET D-FILE
	LD DE,$02E5 
	ADD HL,DE 
Lb435F:
	INC (HL) 
	LD A,(HL) 
	CP $A6 ; [166-"A"]
	RET NZ 
	LD (HL),$9C 
	DEC HL 
	DJNZ Lb435F ; [$435F:17247]
	LD A,$01 
	LD (Lb436F+1),A 
	RET ; ==========================

Lb436F:
	LD A,$00 
	CP $01 ; [1]
	JP Z, Lb43F8 ; [17400]
	LD DE,(RAM_D_FILE) ; GET D-FILE
	LD HL,$02E3 
	ADD HL,DE 
	LD A,(HL) 
	LD C,$98 
	SUB C 
	LD (Lb4408),A 
	LD HL,$0172 
	ADD HL,DE 
	LD A,(HL) 
	CP $25 ; [37-"9"]
	JP NC, Lb4400 ; [17408]
	LD DE,(RAM_D_FILE) ; GET D-FILE
	LD HL,$02E3 
	ADD HL,DE 
	LD A,(HL) 
	CP $9F ; [159-"3"]
	JP Z, Lb4404 ; [17412]
	CP $A2 ; [162-"6"]
	JP Z, Lb4404 ; [17412]
	CP $A5 ; [165-"9"]
	JP Z, Lb4404 ; [17412]
	LD A,(Lb440B) 
	INC A 
	CP $04 ; [4]
	JR NZ, Lb43B1 ; [$43B1:17329]
	LD A,$01 
Lb43B1:
	LD (Lb440B),A 
Lb43B4:
	LD A,$00 
	CP $00 ; [0]
	CALL Z, Lb43C3 ; [17347]
	LD A,$00 
	LD (Lb43B4+1),A 
	JP Lb4192 ; [16786]
Lb43C3:
	LD A,(Lb4411) 
	DEC A 
	LD (Lb4411),A 
	CP $00 ; [0]
	JR NZ, Lb43DE ; [$43DE:17374]
	LD A,$3C 
	LD (Lb4411),A 
	LD A,(Lb4409) 
	CP $01 ; [1]
	JR Z, Lb43DE ; [$43DE:17374]
	DEC A 
	LD (Lb4409),A 
Lb43DE:
	LD A,(Lb4409) 
	SLA A 
	SLA A 
	SLA A 
	LD B,A 
	CALL Lb43EC ; [17388]
	RET ; ==========================

Lb43EC:
	LD C,$00 
Lb43EE:
	DEC C 
	JR NZ, Lb43EE ; [$43EE:17390]
	DJNZ Lb43EC ; [$43EC:17388]
	RET ; ==========================

Lb43F4:
	LD BC,$0001 
	RET ; ==========================

Lb43F8:
	LD BC,$0002 
	RET ; ==========================

Lb43FC:
	LD BC,$0003 
	RET ; ==========================

Lb4400:
	LD BC,$0004 
	RET ; ==========================

Lb4404:
	LD BC,$0005 
	RET ; ==========================


Lb4408:
.db $04; DATA

Lb4409:
.db $04,$AA; DATA

Lb440B:
.db $01,$00,$00; DATA

Lb440E:
.db $00; DATA

Lb440F:
.db $01; DATA

Lb4410:
.db $01; DATA

Lb4411:
.db $39; DATA

Lb4412:
.db $4A,$45; DATA

Lb4414:
.db $04,$00; DATA

Lb4416:
.db $31,$28,$1F,$16,$0D; DATA

Lb441B:
.db $04; DATA

Lb441C:
.db $05,$07,$12,$16; DATA
	NOP 
.db $00,$00,$00,$00,$00,$00,$00,$00; DATA

Lb4429:
.db $6E,$02,$6D,$02,$6C,$02,$6B,$02; DATA
.db $67,$02,$66,$02,$65,$02,$64,$02; DATA
.db $63,$02,$61,$02,$60,$02,$5F,$02; DATA
.db $5E,$02,$1C,$02,$1D,$02,$1E,$02; DATA
.db $1F,$02,$20,$02,$22,$02,$23,$02; DATA
.db $24,$02,$25,$02,$E3,$01,$E2,$01; DATA
.db $E1,$01,$E0,$01,$DF,$01,$DD,$01; DATA
.db $DC,$01,$DB,$01,$DA,$01,$98,$01; DATA
.db $99,$01,$9A,$01,$9B,$01,$9C,$01; DATA
.db $9E,$01,$9F,$01,$A0,$01,$A1,$01; DATA
.db $5F,$01,$5E,$01,$5D,$01,$5C,$01; DATA
.db $5B,$01,$59,$01,$58,$01,$57,$01; DATA
.db $56,$01,$10,$01,$30; DATA
Lb448E:
	LD BC,$9B9B 
.db $9B,$9B,$9B,$9B,$9B,$9B,$80,$8B; DATA
.db $8B,$8B,$8B,$8B,$8B,$8B,$8B,$80; DATA
.db $96,$96,$96,$96,$96,$96,$96,$96; DATA
.db $80,$94,$94,$94,$94,$94,$94,$94; DATA
.db $94,$80,$8A,$8A,$8A,$8A,$8A,$8A; DATA
.db $8A,$8A,$80,$88,$88,$88,$88,$88; DATA
.db $88; DATA

Lb44C2:
.db $00,$34,$00,$82,$07,$04,$00,$82; DATA
.db $00,$85,$34,$00,$85,$07,$04,$85; DATA
.db $82,$00,$00,$34,$00,$82,$07,$04; DATA
.db $00,$82,$00; DATA

Lb44DD:
.db $00,$34,$04,$82,$07,$00,$00,$82; DATA
.db $00,$85,$34,$04,$85,$07,$00,$85; DATA
.db $82,$00,$87,$34,$00,$00,$84,$81; DATA
.db $00,$81,$00; DATA

Lb44F8:
.db $19,$02,$95,$01,$11,$01; DATA

Lb44FE:
.db $00,$34,$03,$82,$07,$01,$00,$82; DATA
.db $00,$00,$34,$00,$87,$84,$81,$00; DATA
.db $81,$00,$00,$34,$00,$87,$84,$00; DATA
.db $00,$81,$00; DATA

Lb4519:
.db $00,$34,$03,$02,$84,$81,$00,$81; DATA
.db $00,$87,$34,$00,$00,$84,$81,$00; DATA
.db $81,$00,$87,$34,$00,$00,$84,$00; DATA
.db $00,$81,$00; DATA

Lb4534:
.db $47,$02,$E4,$01,$60,$01,$C3,$3C; DATA
.db $7A

; ligne basic 2 et 3.
.db $76,$00,$02,$02,$00,$EA,$76,$00,$03,$21,$03,$EA,


.db $0D,$0C,$80; DATA
.db $80,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$B8,$A6,$80,$80,$AF,$AA; DATA
.db $9C,$9C,$9C,$9D,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$80,$80,$80,$0C; DATA
.db $80,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$80,$80,$80,$80; DATA
.db $0C,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$97,$97,$97,$97,$97,$97,$97; DATA
.db $97,$97,$97,$97,$97,$97,$97,$97; DATA
.db $97,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$0C,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$97,$97,$80,$80,$80,$BA; DATA
.db $B8,$AE,$B3,$AA,$9D,$80,$80,$80; DATA
.db $97,$97,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$0C,$80,$80,$80,$80,$80; DATA
.db $80,$80,$80,$97,$97,$97,$97,$97; DATA
.db $97,$97,$97,$97,$97,$97,$97,$97; DATA
.db $97,$97,$97,$80,$80,$80,$80,$80; DATA
.db $80,$80,$80,$0C,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$0C,$80,$80,$80; DATA
.db $80,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$80,$0C,$80,$80; DATA
.db $08,$08,$08,$08,$08,$08,$08,$08; DATA
.db $08,$08,$08,$08,$08,$08,$08,$08; DATA
.db $08,$08,$08,$08,$08,$08,$08,$08; DATA
.db $08,$08,$08,$08,$80,$80,$0C,$80; DATA
.db $80,$08,$00,$00,$00,$00,$00,$00; DATA
.db $00,$00,$00,$00,$00,$83,$83,$83; DATA
.db $83,$00,$00,$00,$00,$00,$00,$00; DATA
.db $00,$00,$00,$00,$08,$80,$80,$0C; DATA
.db $80,$80,$08,$00,$00,$00,$00,$00; DATA
.db $00,$00,$00,$00,$00,$00,$00,$80; DATA
.db $80,$00,$00,$00,$00,$00,$00,$00; DATA
.db $00,$00,$00,$00,$00,$08,$80,$80; DATA
.db $0C,$80,$80,$08,$00,$00,$88,$88; DATA
.db $88,$00,$00,$00,$83,$83,$83,$83; DATA
.db $80,$80,$83,$83,$83,$04,$00,$00; DATA
.db $00,$83,$83,$00,$B4,$B4,$08,$80; DATA
.db $80,$0C,$80,$80,$08,$00,$84,$88; DATA
.db $1C,$88,$84,$03,$00,$00,$00,$00; DATA
.db $00,$80,$80,$00,$00,$00,$00,$00; DATA
.db $00,$00,$82,$81,$00,$07,$8E,$08; DATA
.db $80,$80,$0C,$80,$80,$08,$87,$81; DATA
.db $88,$88,$88,$85,$00,$00,$87,$83; DATA
.db $83,$83,$80,$80,$83,$83,$83,$83; DATA
.db $00,$00,$00,$00,$00,$00,$03,$03; DATA
.db $08,$80,$80,$0C,$80,$80,$08,$85; DATA
.db $81,$8A,$8A,$8A,$85,$00,$00,$00; DATA
.db $00,$00,$00,$80,$80,$00,$00,$00; DATA
.db $00,$00,$03,$03,$00,$00,$00,$00; DATA
.db $00,$08,$80,$80,$0C,$80,$80,$08; DATA
.db $00,$34,$00,$00,$34,$85,$00,$00; DATA
.db $83,$83,$83,$83,$80,$80,$83,$83; DATA
.db $83,$04,$00,$00,$00,$00,$00,$00; DATA
.db $00,$88,$08,$80,$80,$0C,$80,$80; DATA
.db $08,$03,$03,$03,$03,$03,$03,$03; DATA
.db $00,$00,$00,$00,$00,$80,$80,$00; DATA
.db $00,$00,$00,$00,$00,$00,$00,$00; DATA
.db $00,$00,$88,$08,$80,$80,$0C,$80; DATA
.db $80,$08,$00,$00,$00,$00,$00,$00; DATA
.db $00,$00,$87,$83,$83,$83,$80,$80; DATA
.db $83,$83,$83,$83,$00,$00,$00,$00; DATA
.db $00,$00,$00,$88,$08,$80,$80,$0C; DATA
.db $80,$80,$08,$88,$00,$00,$00,$00; DATA
.db $00,$00,$00,$00,$00,$00,$00,$80; DATA
.db $80,$00,$00,$00,$00,$00,$03,$03; DATA
.db $03,$03,$02,$84,$07,$08,$80,$80; DATA
.db $0C,$80,$80,$08,$88,$00,$00,$00; DATA
.db $00,$00,$00,$00,$83,$83,$83,$83; DATA
.db $80,$80,$83,$83,$83,$04,$00,$00; DATA
.db $00,$87,$83,$83,$81,$9B,$08,$80; DATA
.db $80,$0C,$80,$80,$08,$88,$00,$00; DATA
.db $00,$06,$07,$07,$00,$00,$07,$05; DATA
.db $00,$80,$80,$00,$85,$84,$00,$00; DATA
.db $00,$00,$00,$05,$B4,$B4,$8E,$08; DATA
.db $80,$80,$0C,$80,$80,$08,$08,$08; DATA
.db $08,$08,$08,$08,$08,$08,$08,$08; DATA
.db $08,$08,$08,$08,$08,$08,$08,$08; DATA
.db $08,$08,$08,$08,$08,$08,$08,$08; DATA
.db $08,$80,$80,$0C,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$0C,$80,$80,$80; DATA
.db $80,$80,$97,$B8,$A8,$B4,$B7,$AA; DATA
.db $8E,$9C,$9C,$9C,$97,$97,$A8,$AD; DATA
.db $A6,$B3,$A8,$AA,$B8,$8E,$A0,$97; DATA
.db $80,$80,$80,$80,$80,$0C,$80,$80; DATA
.db $80,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$80,$80,$80,$80; DATA
.db $80,$80,$80,$80,$80,$80,$1F,$0B; DATA
.db $00,$00,$76,$76; DATA


;------------ Labels errors ------------
; LABEL @LB4370 Fixed: LD ($4370),A / LD (Lb436F+1),A
; LABEL @LB43B5 Fixed: LD ($43B5),A / LD (Lb43B4+1),A
; LABEL @LB4171 Fixed: LD ($4171),HL / LD (Lb4170+1),HL
; LABEL @LB4155 Fixed: LD ($4155),HL / LD (Lb4154+1),HL
; LABEL @LB418A Fixed: LD ($418A),HL / LD (Lb4189+1),HL
; LABEL @LB4171 Fixed: LD ($4171),HL / LD (Lb4170+1),HL
; LABEL @LB4155 Fixed: LD ($4155),HL / LD (Lb4154+1),HL
; LABEL @LB4155 Fixed: LD ($4155),HL / LD (Lb4154+1),HL
; LABEL @LB418A Fixed: LD ($418A),HL / LD (Lb4189+1),HL
; LABEL @LB4155 Fixed: LD ($4155),HL / LD (Lb4154+1),HL
; LABEL @LB4155 Fixed: LD ($4155),HL / LD (Lb4154+1),HL
; LABEL @LB42E5 Fixed: LD ($42E5),A / LD (Lb42E4+1),A
; LABEL @LB431A Fixed: LD ($431A),HL / LD (Lb4319+1),HL
; LABEL @LB4321 Fixed: LD ($4321),HL / LD (Lb4320+1),HL
; LABEL @LB4324 Fixed: LD ($4324),HL / LD (Lb4323+1),HL
; LABEL @LB431A Fixed: LD ($431A),HL / LD (Lb4319+1),HL
; LABEL @LB4321 Fixed: LD ($4321),HL / LD (Lb4320+1),HL
; LABEL @LB4324 Fixed: LD ($4324),HL / LD (Lb4323+1),HL
; LABEL @LB42E5 Fixed: LD ($42E5),A / LD (Lb42E4+1),A
; LABEL @LB43B5 Fixed: LD ($43B5),A / LD (Lb43B4+1),A
; LABEL @LB4370 Fixed: LD ($4370),A / LD (Lb436F+1),A
; LABEL @LB43B5 Fixed: LD ($43B5),A / LD (Lb43B4+1),A

.end
